<?php
/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the public-facing stylesheet and JavaScript.
 *
 * @package    Product_barcode
 * @subpackage Product_barcode/class
 * @author     Sharabindu <sharabindu86@gmail.com>
 */
class PbrpdfLiteBarcode
{
    public function __construct()
    {


        add_action('add_meta_boxes', array(
            $this,
            'mv_add_meta_boxes'
        ));
        add_action('woocommerce_after_order_itemmeta', array(
            $this,'pbrorder_pagebarcode'
        ) , 10, 3);
        add_action('save_post', array(
            $this,
            'mv_save_wc_order_other_fields'
        ) , 10, 1);

    }

    function mv_add_meta_boxes()
    {

        $options = get_option('pbarginerator_ordeermails');

        $turnoff = isset($options['orders_page_orbarcode']) && $options['orders_page_orbarcode'] === 'orders_page_orbarcode' ? 'checked' : '';

        if($turnoff !== 'checked'){       
        add_meta_box('mv_other_fields', __('Order Barcode', 'product-barcode-generator') , array(
            $this,
            'mv_add_other_fields_for_packaging'
        ) , 'shop_order', 'side', 'core');
    }
    }


    function mv_add_other_fields_for_packaging()
    {

        global $post;
        wp_enqueue_script('pbr-order');
        $meta_field_data = get_post_meta($post->ID, '_my_field_slug', true) ? get_post_meta($post->ID, '_my_field_slug', true) : '';

        $order = wc_get_order(get_the_ID());
        if($order){

        $transaction_id = $order->get_transaction_id();

        $order_id = get_the_ID();
        $options = get_option('pbarginerator_ordeermails');

        $pbarcode_value = isset($options['pbarcode_value']) ? $options['pbarcode_value'] : 'orderid';

        $pbarcode_value_prefix = isset($options['pbarcode_value_prefix']) ? $options['pbarcode_value_prefix'] : 'no';
        $pbarcode_value_prefixyes = isset($options['pbarcode_value_prefixyes']) ? $options['pbarcode_value_prefixyes'] : '';

        if ($pbarcode_value_prefix === 'yes')
        {

            $orderidsvalue = $pbarcode_value_prefixyes . $order_id;
        }
        else
        {
            $orderidsvalue = $order_id;
        }
        if ($pbarcode_value === 'orderid')
        {

            $barcodetext = $orderidsvalue;
        }
        else
        {
            $barcodetext = $transaction_id;
        }

        if (!empty($meta_field_data))
        {

            $barcodetext = $meta_field_data;
        }

        echo '<div style="text-align:center" id="pbdorderbarcodewrapper"><img class="pbdorderbarcode" data-ordercont="'.$barcodetext.'" id="pbdorderba_'.get_the_ID().'"></div>';

        echo '<input type="hidden" name="mv_other_meta_field_nonce" value="' . wp_create_nonce() . '">
        <p style="margin-top:0">
            <input type="text" style="width:250px;" name="my_field_name" placeholder ="DEX-BDN-00302121" value="' . $meta_field_data . '"></p>

        <button type="submit" class="button button-primary">' . esc_html__('Update Barcode', ' product-barcode-generator') . '</button>';
    }
    }
    function pbrorder_pagebarcode($item_id, $item, $product) {
    if($product){
        $sku           = $product->get_sku();
        $name           = $product->get_name();
        $id           = $product->get_id();

        $options = get_option('pbarginerator_ordeermails');

        $options1 = get_option('pbarginerator_print_option');
        $barcodevalue = isset($options1['pbarcode_value']) ? $options1['pbarcode_value'] : 'sku';
        if ($barcodevalue == 'sku'){
        $barcodetext = $sku;
        }
        if ($barcodevalue == 'ID'){
            $barcodetext = $id;
        }

    $turnoff = isset($options['orders_page_product']) && $options['orders_page_product'] === 'orders_page_product' ? 'checked' : '';
        $hrmls =   '<div id="pbdorderbarcodewrapper" ><img class="pbdorderbarcode" id="pbarbarcode_'.$id.'" data-ordercont="'.$barcodetext.'"></div>';

        if(!$turnoff){
        echo $hrmls;
        wp_enqueue_script('JsBarcode');
        wp_enqueue_script('pbr-order');
     }
        }



}

    function mv_save_wc_order_other_fields($post_id)
    {
        if (!isset($_POST['mv_other_meta_field_nonce']))
        {
            return $post_id;
        }
        $nonce = $_REQUEST['mv_other_meta_field_nonce'];

        //Verify that the nonce is valid.
        if (!wp_verify_nonce($nonce))
        {
            return $post_id;
        }

        // If this is an autosave, our form has not been submitted, so we don't want to do anything.
        if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        {
            return $post_id;
        }

        // Check the user's permissions.
        if ('page' == $_POST['post_type'])
        {

            if (!current_user_can('edit_page', $post_id))
            {
                return $post_id;
            }
        }
        else
        {

            if (!current_user_can('edit_post', $post_id))
            {
                return $post_id;
            }
        }
        update_post_meta($post_id, '_my_field_slug', $_POST['my_field_name']);

    }

}
if (class_exists("PbrpdfLiteBarcode"))
{

    new PbrpdfLiteBarcode;
}

